Subject: RE: [Sigtran] M3UA IG v04

From: "Zannin, Francois" <[email-masked]>
Date: Wed, 9 Jul 2003 10:15:22 +0200

Just some comment about the M3UA IG v04

3.21 NOTIFY messages are missing in Examples section
Figure (section 5.1.2)
	a NOTIFY(AS-INACTIVE) must be sent from SGP to ASP2 after the
ASP Up Ack

Figure (section 5.1.3)
	a NOTIFY(AS-INACTIVE) must be sent from SGP to ASP2 after the
ASP Up Ack

Figure (section 5.1.4)
	Same remark, the Notify is sent to ASP1, ASP2 and also need to
be sent to 
      ASP3 after the ASP Up Ack

Another remark about the RC in the ASPTM:
Is the ASP serves several AS are the RC(s) mandatory in the ASP-ACTIVE?
In an old mail without any answer, it was said that :

  Subject: Re: [Sigtran] Fw: absence of NA in ASP Active (march 03)
    Sibi,
    ....
    When Routing Context is not provided, the ASP is activated for the
single 
    AS for which it is configured or an error returned if the ASP is not

    configured for a single AS.
    --brian

In the RFC 3332, it is said:

   It is not necessary for the ASP to
   include all Routing Contexts of interest in a single ASP Active
   message, thus requesting to become active in all Routing Contexts at
   the same time.  Multiple ASP Active messages MAY be used to activate
   within the Application Servers independently, or in sets.  In the
   case where an ASP Active message does not contain a Routing Context
   parameter, the receiver must know, via configuration data, which
   Application Server(s) the ASP is a member.

Given that there is no reference to that item in the IG, is an ASPTM is
received 
from an ASP that serves several AS, is it considered as an ACTIVE for
ALL AS or 
must we return an error ?

Francois Z.

-----Original Message-----
From: J.Javier Pastor (EE/EEM) [mailto:[email-masked]] 
Sent: Tuesday, July 08, 2003 10:50 AM
To: J.Javier Pastor (EE/EEM); [email-masked]
Subject: RE: [Sigtran] M3UA IG v04

It seems that finally it went through.... (Better late than never) :-D

http://www.ietf.org/internet-drafts/draft-ietf-sigtran-m3ua-implementors
-guide-04.txt

Cheers // Javier.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 9 Jul 2003 02:29:42 -0600

Francois,

Zannin, Francois wrote:                       (Wed, 09 Jul 2003 10:15:22)

-X-snip-X-
> must we return an error ?

The second passage just says that the RC values do not all need to be included
in the same ASP Active message.  They can be split up into sets of ASP Active
messages.  Also, it reiterates that if there is no RC in the ASP Active
message, that the ASP must be configured at the SGP for the application server.

If there is no RC in the ASPTM message, and no AS is configured for the ASP at
the SGP, then Error("No Configured AS for ASP") as described in section 3.8.1
is sent.

Not placing the RCs in the ASPTM message when there are multiple AS, even if
they are preconfigued at the SGP, is possible according to the RFC, but of
little use because the RC MUST later be included in all DATA and SSNM messages
in this case anyway.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/